Package twisted :: Package internet :: Module interfaces :: Class ISSLTransport

[show private | hide private]
[frames | no frames]

## Class ISSLTransport

    Interface --+
                |
       ITransport --+
                    |
        ITCPTransport --+
                        |
                       ISSLTransport

A SSL/TLS based transport.

Method Summary
| ``getHost`(self)` Returns tuple ('INET', host, port). (inherited from `ITCPTransport`)
| ``getPeer`(self)` Returns tuple ('INET', host, port). (inherited from `ITCPTransport`)
| ``getPeerCertificate`(self)` Return an object with the peer's certificate info.
| ``getTcpNoDelay`(self)` Return if TCP_NODELAY is enabled. (inherited from `ITCPTransport`)
| ``loseConnection`(self)` Close my connection, after writing all pending data. (inherited from `ITransport`)
| ``setTcpNoDelay`(self, enabled)` Enable/disable TCP_NODELAY. (inherited from `ITCPTransport`)
| ``write`(self, data)` Write some data to the physical connection, in sequence. (inherited from `ITransport`)
| ``writeSequence`(self, data)` Write a list of strings to the physical connection. (inherited from `ITransport`)

Method Details

### getPeerCertificate(self)

Return an object with the peer's certificate info.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net